## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationLdapOptions

### Authentication::ezcAuthenticationLdapOptions

### Class ezcAuthenticationLdapOptions

Class containing the options for ldap authentication filter.

Example of use:

1. // create an options object
2. $options=new ezcAuthenticationLdapOptions ();
3. $options->protocol=ezcAuthenticationLdapFilter ::PROTOCOL_TLS;
5. // use the options object when creating a new LDAP filter
6. $ldap=new ezcAuthenticationLdapInfo ('localhost','uid=%id%','dc=example,dc=com',389);
7. $filter=new ezcAuthenticationLdapFilter ($ldap,$options);
9. // alternatively, you can set the options to an existing filter
10. $filter=new ezcAuthenticationLdapFilter ($ldap);
11. $filter->setOptions($options);

Source for this file: /Authentication/src/options/ldap_options.php

    ezcBaseOptions
       |
       --ezcAuthenticationFilterOptions
          |
          --ezcAuthenticationLdapOptions

Version: | //autogen//

### Properties

int

read/write

`$protocol`
How to connect to the LDAP server:

- ezcAuthenticationLdapFilter::PROTOCOL_PLAIN - plain connection
- ezcAuthenticationLdapFilter::PROTOCOL_TLS - TLS connection

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcAuthenticationLdapOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcAuthenticationFilterOptions
public ezcAuthenticationFilterOptions | `ezcAuthenticationFilterOptions::__construct()` Constructs an object with the specified values.
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcAuthenticationLdapOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) | Options for this class

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationFilterOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3